// $Id: InterpreterTest.scala,v 1.1 2005/10/28 20:46:57 leavens Exp leavens $
package interp2;

import testing._;

/** Testing for the interpreter.
 * @author Gary T. Leavens
 */
object InterpreterTest with ConsoleTestRunner {

  val suite = new TestSuite(
    // test the divide primitive
    new ExpTest("/(10,2)", 5),
    new ExpTest("/(zero,i)", 0),
    new ExpTest("if 1 then 3 else 4", 3),
    new ExpTest("if 1 then i else x", 1),
    new ExpTest("sub1(if zero then i else add1(v))", 5),

    // the old, regression, tests
    interp.InterpreterTest.suite
  );

}
