// @(#)$Id: ExpectEq.scala,v 1.1 2005/10/28 09:04:50 leavens Exp leavens $
package testing;

import scala.testing.SUnit;
import SUnit._; 

/** Test cases for comparing expected result using eq
 * @author Gary T. Leavens
 */
class ExpectEq[T <: AnyRef](override val code : String,
			    value : => T, expected : => T)
     extends Expect(code, value, expected)
{
  override def isUnexpected(v: T, e: T): Boolean = { !(v eq e) }
}
