// @(#)$Id: ExpectTrue.scala,v 1.1 2005/10/28 09:04:50 leavens Exp leavens $
package testing;

import scala.testing.SUnit;
import SUnit._; 

/** Test cases for simple expected results.
 * @author Gary T. Leavens
 */
class ExpectTrue(val code : String, bexp : => Boolean) extends TestCase(code)
{
  def announce(code: String): Unit = {
    Console.println("assertTrue(" + code + ")");
    Console.flush;
  }

  // doc comment inherited    
  override def runTest(): Unit = {
    announce(code);
    assertTrue(code, bexp);
  }
}
